
eServices - Bug #262

Tech employee step

12/27/2016 11:20 AM - Saja Nakhleh

Status: Closed Start date: 12/26/2016

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result:  

Severity: Normal Environment: Development

Category: Compensation Transaction Number: 4032016000175261

Sub-Category: Patch 1 Username:  

Step_Description:  Browser: Firefox

Pre_Conditions:  URL:  

Expected Result:  Test Case ID:  

Description

Building details section:

0- when adding new record for the first time(Only), then a Null error will be occurred !

1- When update a record, then the Building image attachment is shown (evidence # 4)

2- After add new record the fields (add, Update, Delete) keep active  (evidence # 12)

3- the Remarks field is not exist, it should be shown and editable

[Is old building] checkbox

3- When update this check box then the change will not saved, and it will preserve it's default value (as entered on the submission)

Shop details section:

4- the attachment does not appear (evidence # 10)

5- the building number is not sequential, it gives the following numbers sequentially: 1,2,4,8,16  (evidence # 13)

6- After add new record the fields (add, Update, Delete) keep active  (evidence # 13)

Decoration details section:

7- item description is duplicated as label twice and the Item Qty is not exist!

8- After add new record the fields (add, Update, Delete) keep active (evidence # 14)

9- When you update a record, then all the other records that have the same building number and shop description will be updated

with the new values ! (evidence # 14)

10- When you delete a record, then all the other records that have the same [building number] and [shop description] will be deleted

also!

11- Once any record is updated or deleted, then the value of [total decoration amount] field  on [Building Evaluation Other Details]

does not updated!

Evaluation Other Details

12- Total Decoration amount value is updated after filling Decoration Details and refresh.

Delete Action:

13- If you delete Building details record; then the related records on the Evaluation, Other evaluation, Shops and decoration sections'

records will not be deleted (evidence # 15)

14- If you delete Decoration details record, then the value of decoration total amount on the (other evaluation) section will not be

updated !

15- If you delete Shop details record; then the related decoration section's records will not be deleted (evidence # 16)

History

#1 - 12/27/2016 01:41 PM - Saja Nakhleh

- File 12.GIF added

- File 13.GIF added

- File 14.GIF added
- Description updated

- Transaction Number set to 4032016000175261

#2 - 12/27/2016 02:48 PM - Osama Zgool

- Description updated

#3 - 12/27/2016 02:50 PM - Osama Zgool

- File Remarks_BuildingDetails.jpg added

- Description updated

#4 - 12/27/2016 03:34 PM - Osama Zgool

- Description updated

#5 - 12/28/2016 10:11 AM - Saja Nakhleh

- File 15.gif added

- File 16.gif added

- Description updated

#6 - 12/28/2016 10:56 AM - Saja Nakhleh

- Description updated

#7 - 12/28/2016 11:02 AM - Saja Nakhleh

- Description updated

#8 - 12/30/2016 04:11 PM - Hazem Shoushari

- Status changed from Open to Fixed

- Assignee changed from Hazem Shoushari to Saja Nakhleh

- % Done changed from 0 to 100

Note 1:

After add new record the fields (add, Update, Delete) keep active (evidence # 12), After add new record the fields (add, Update, Delete) keep active

(evidence # 13), After add new record the fields (add, Update, Delete) keep active (evidence # 14): what is the problem with this behavior.

Note 2:

Building details section:

3- the Remarks field is not exist, it should be shown and editable:

this remarks are for surveyor step, not employee technical step

#9 - 01/03/2017 02:31 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Hazem Shoushari

All the issues have been tested and verified, except the following:

Building details section:

2- After add new record the fields (add, Update, Delete) keep active (evidence # 12)

Shop details section:

5- the building number is not sequential, it gives the following numbers sequentially: 1,2,4,8,16 (evidence # 13)

6- After add new record the fields (add, Update, Delete) keep active (evidence # 13)

Decoration details section:
8- After add new record the fields (add, Update, Delete) keep active (evidence # 14)

11- Once any record is updated or deleted, then the value of [total decoration amount] field on [Building Evaluation Other Details] does not updated!

Evaluation Other Details

12- Total Decoration amount value is updated after filling Decoration Details and refresh.

Delete Action:

15- If you delete Shop details record; then the related decoration section's records will not be deleted (evidence # 16)

#10 - 01/03/2017 03:00 PM - Hazem Shoushari

- Status changed from Feedback to Fixed

- Assignee changed from Hazem Shoushari to Saja Nakhleh

#11 - 01/03/2017 03:00 PM - Hazem Shoushari

- Environment Development added

- Environment deleted (QA)

#12 - 01/16/2017 11:38 AM - Saja Nakhleh

- Status changed from Fixed to Closed

Files

4.GIF 54.4 KB 12/26/2016 Saja Nakhleh

6.GIF 63.3 KB 12/26/2016 Saja Nakhleh

10.GIF 17.9 KB 12/27/2016 Saja Nakhleh

12.GIF 27.3 KB 12/27/2016 Saja Nakhleh

13.GIF 20 KB 12/27/2016 Saja Nakhleh

14.GIF 24.1 KB 12/27/2016 Saja Nakhleh

Remarks_BuildingDetails.jpg 38.2 KB 12/27/2016 Osama Zgool

16.gif 52.8 KB 12/28/2016 Saja Nakhleh

15.gif 169 KB 12/28/2016 Saja Nakhleh
